euca-bundle-vol/ec2-bundle-vol should copy filesystem label

Bug #667793 reported by Scott Moser on 2010-10-28
48
This bug affects 6 people
Affects Status Importance Assigned to Milestone
euca2ools
Fix Released
Undecided
Mitch Garnaat
ec2-ami-tools (Ubuntu)
Medium
Unassigned
Lucid
High
Unassigned
Maverick
High
Unassigned
euca2ools (Ubuntu)
Low
Unassigned
Lucid
High
Unassigned
Maverick
High
Unassigned

Bug Description

Binary package hint: euca2ools
Related Bugs: bug 671427, bug 665235, bug 672986

The maverick based uec images use pv-grub to boot on EC2 and a similar mechanism on UEC.

An instance will boot using a command line like 'LABEL=uec-rootfs'

euca-bundle-vol does not create the target filesystem with the same label as the source. The result is the rebundled instance fails to boot.

euca-bundle-vol should copy the filesystem label from source filesystem onto the target.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: euca2ools 1.2-0ubuntu11
ProcVersionSignature: User Name 2.6.35-22.33-virtual 2.6.35.4
Uname: Linux 2.6.35-22-virtual x86_64
Architecture: amd64
Date: Thu Oct 28 13:31:54 2010
Ec2AMI: ami-548c783d
Ec2AMIManifest: (unknown)
Ec2AvailabilityZone: us-east-1d
Ec2InstanceType: t1.micro
Ec2Kernel: aki-427d952b
Ec2Ramdisk: unavailable
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: euca2ools

Scott Moser (smoser) wrote :
Brandon Black (blblack) wrote :

Did you check on this bug in euca-bundle-vol? The broken AMI I referenced in the other thread was actually made with ec2-bundle-vol.

Scott Moser (smoser) wrote :

I know that euca-bundle-vol doesn't copy filesystem label.
your evidence indicates that ec2-bundle-vol also does not.

Would you open a bug on ec2-bundle-vol stating that it should ?

Brandon Black (blblack) wrote :

Did you mean here or with Amazon? I've opened a feature-request case with Amazon as a customer in any case.

BTW, the simple commandline way to get the label is: /sbin/blkid -s LABEL -o value /dev/sda1

On Thu, 28 Oct 2010, Brandon Black wrote:

>
> Did you mean here or with Amazon? I've opened a feature-request case with Amazon as a customer in any case.
>
> BTW, the simple commandline way to get the label is: /sbin/blkid -s
> LABEL -o value /dev/sda1

I meant against the ec2-ami-tools. I can patch them and get ubuntu fixed.
scott

Scott Moser (smoser) wrote :

Brandon,
sorry for being unclear again.
Please open a bug in launchpad against the ec2-ami-tools package.
I will then fix that bug in ec2-ami-tools, and we can point
amazon at the patch.

Scott

Mathias Gug (mathiaz) on 2010-11-02
Changed in euca2ools (Ubuntu):
importance: Undecided → Low
status: New → Confirmed
Scott Moser (smoser) on 2011-01-06
summary: - euca-bundle-vol should copy filesystem label
+ euca-bundle-vol/ec2-bundle-vol should copy filesystem label
description: updated
Changed in ec2-ami-tools (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Scott Moser (smoser) on 2011-01-06
Changed in euca2ools:
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package euca2ools - 1.3.1-0ubuntu2

---------------
euca2ools (1.3.1-0ubuntu2) natty; urgency=low

  * update patch delta upstream information (all delta now upstream)
  * cherry pick upstream commits
    * r318 : fix euca-bundle-img to correctly create checksum (LP: #600783)
    * r319 : correctly catch man page build errors
  * copy filesystem uuid, label, fstype from source filesytem to
    bundled volume (LP: #667793, #672986)
 -- Scott Moser <email address hidden> Wed, 12 Jan 2011 17:29:32 -0500

Changed in euca2ools (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ec2-ami-tools - 1.3.49953-0ubuntu2

---------------
ec2-ami-tools (1.3.49953-0ubuntu2) natty; urgency=low

  * copy filesystem uuid, label, fstype from source filesytem to
    bundled volume (LP: #667793, #672986)
 -- Scott Moser <email address hidden> Thu, 13 Jan 2011 13:42:01 -0500

Changed in ec2-ami-tools (Ubuntu):
status: Confirmed → Fix Released
Scott Moser (smoser) on 2011-01-14
Changed in ec2-ami-tools (Ubuntu Lucid):
importance: Undecided → High
status: New → In Progress
Changed in ec2-ami-tools (Ubuntu Maverick):
status: New → In Progress
importance: Undecided → High
Changed in euca2ools (Ubuntu Lucid):
status: New → In Progress
importance: Undecided → High
Changed in euca2ools (Ubuntu Maverick):
importance: Undecided → High
status: New → In Progress
Casey B (casey-dlscorp) wrote :

Using Lucid, updated packages at https://launchpad.net/~smoser/+archive/bundle-fix-sru-test
work for me.

rebundled a few different images successfully

Accepted ec2-ami-tools into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ec2-ami-tools (Ubuntu Lucid):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in ec2-ami-tools (Ubuntu Maverick):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted ec2-ami-tools into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

If one adds:

deb http://archive.ubuntu.com/ubuntu $codename-proposed restricted main multiverse universe

To the config template: /etc/cloud/templates/sources.list.tmpl

Then: rm -f /var/lib/cloud/sem/apt*
cloud-init-cfg- apt-update-upgrade
apt-get -y update

You're in business with the fix. Notice that this will install all proposed updates (and is not necessarily recommended).

Martin Pitt (pitti) wrote :

Accepted euca2ools into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in euca2ools (Ubuntu Lucid):
status: In Progress → Fix Committed
Louis Marascio (marascio) wrote :

Tested ec2-api-tools on Maverick. The fix appears to be working as I'm not able to rebundle a Canoncial AMI: ami-08f40561

Thanks!

Martin Pitt (pitti) on 2011-01-24
tags: added: verification-done
removed: verification-needed
Martin Pitt (pitti) wrote :

Accepted euca2ools into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in euca2ools (Ubuntu Maverick):
status: In Progress → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Scott Moser (smoser) wrote :
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package euca2ools - 1.2-0ubuntu10.1

---------------
euca2ools (1.2-0ubuntu10.1) lucid-proposed; urgency=low

  * copy filesystem uuid, label, fstype from source filesytem to
    bundled volume (LP: #667793, #672986)
 -- Scott Moser <email address hidden> Fri, 14 Jan 2011 01:31:27 -0500

Changed in euca2ools (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ec2-ami-tools - 1.3-45758-0ubuntu1.1

---------------
ec2-ami-tools (1.3-45758-0ubuntu1.1) lucid-proposed; urgency=low

  * copy filesystem uuid, label, fstype from source filesytem to
    bundled volume (LP: #667793, #672986)
 -- Scott Moser <email address hidden> Fri, 14 Jan 2011 01:28:39 -0500

Changed in ec2-ami-tools (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ec2-ami-tools - 1.3.49953-0ubuntu1.1

---------------
ec2-ami-tools (1.3.49953-0ubuntu1.1) maverick-proposed; urgency=low

  * copy filesystem uuid, label, fstype from source filesytem to
    bundled volume (LP: #667793, #672986)
 -- Scott Moser <email address hidden> Fri, 14 Jan 2011 00:56:22 -0500

Changed in ec2-ami-tools (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package euca2ools - 1.2-0ubuntu11.1

---------------
euca2ools (1.2-0ubuntu11.1) maverick-proposed; urgency=low

  * copy filesystem uuid, label, fstype from source filesytem to
    bundled volume (LP: #667793, #672986)
 -- Scott Moser <email address hidden> Fri, 14 Jan 2011 01:12:33 -0500

Changed in euca2ools (Ubuntu Maverick):
status: Fix Committed → Fix Released
Changed in euca2ools:
assignee: nobody → Mitch Garnaat (mitch-garnaat)
Scott Moser (smoser) wrote :

This is fix-committed in euca2ools trunk, and will be in 1.4 release.

Changed in euca2ools:
status: Confirmed → Fix Committed
Changed in euca2ools:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers